Payment Options

Before any transaction request is performed, it's recommended that the list of payment options is retrieved to obtain some of the required parameters/

The API description below shows how the list of payment options can be obtained. The request requires that the merchant filters by country and transaction type to get the appropriate list of the payment options.

Get Payment Options List

GET https://sandbox-api.govbill.ug/v1/payment-providers

Returns the list of payment options based on country and transaction type

Query Parameters

Name
Type
Description

country*

String

The 2 character ISO country code e.g. UG

transaction_type*

String

The transaction type. Allowed types at the moment are; COLLECTION

Headers

Name
Type
Description

public-key*

String

The Public Key as shared in the approval email

{
  "code": 200,
  "status": "success",
  "message": "Request completed successfully.",
  "data": {
    "payment_providers": [
      {
        "provider_code": "mtn_momo_ug",
        "provider_name": "MTN Mobile Money Uganda",
        "transaction_type": "COLLECTION",
        "transaction_method": "MOBILE_MONEY",
        "transaction_currency": "UGX",
        "country_code": "UG",
        "min_amount": 500,
        "max_amount": 5000000,
        "prefixes": [
          "76",
          "77",
          "78"
        ]
      },
      {
        "provider_code": "airtel_money_ug",
        "provider_name": "Airtel Mobile Money Uganda",
        "transaction_type": "COLLECTION",
        "transaction_method": "MOBILE_MONEY",
        "transaction_currency": "UGX",
        "country_code": "UG",
        "min_amount": 500,
        "max_amount": 2000000,
        "prefixes": [
          "70",
          "75"
        ]
      }
    ]
  }
}

Last updated